camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Willem Jiang (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-7755) Fix all karaf feature definitions
Date Fri, 29 Aug 2014 08:25:53 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-7755?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14115015#comment-14115015
] 

Willem Jiang commented on CAMEL-7755:
-------------------------------------

Fixed the feature install error of camel-optaplanner, camel-kafka.

For the camel-avro, camel-solr, camel-habase, I hit a issue of snappy-java.  It can be addressed
by applying a fix as [this|https://groups.google.com/forum/#!topic/orient-database/gk0OHfPCYXQ]
suggested in mac OSX.
{code}
Caused by: org.osgi.framework.BundleException: Activator start error in bundle org.xerial.snappy.snappy-java
[225].
	at org.apache.felix.framework.Felix.activateBundle(Felix.java:2027)[org.apache.felix.framework-4.0.3.jar:]
	at org.apache.felix.framework.Felix.startBundle(Felix.java:1895)[org.apache.felix.framework-4.0.3.jar:]
	at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:944)[org.apache.felix.framework-4.0.3.jar:]
	at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:931)[org.apache.felix.framework-4.0.3.jar:]
	at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:491)[27:org.apache.karaf.features.core:2.3.6]
	... 15 more
Caused by: java.lang.UnsatisfiedLinkError: no libsnappyjava.dylib in java.library.path
	at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1886)[:1.7.0_45]
	at java.lang.Runtime.loadLibrary0(Runtime.java:849)[:1.7.0_45]
	at java.lang.System.loadLibrary(System.java:1088)[:1.7.0_45]
	at org.xerial.snappy.SnappyBundleActivator.start(SnappyBundleActivator.java:52)
	at org.apache.felix.framework.util.SecureAction.startActivator(SecureAction.java:645)
	at org.apache.felix.framework.Felix.activateBundle(Felix.java:1977)
	... 19 more
{code}

camel-spring-redis doesn't support spring 4.0.5 which is used by karaf 2.3.6.

camel-disruptor need to update the jre.properties of karaf to export the sum.misc package.


> Fix all karaf feature definitions
> ---------------------------------
>
>                 Key: CAMEL-7755
>                 URL: https://issues.apache.org/jira/browse/CAMEL-7755
>             Project: Camel
>          Issue Type: Bug
>          Components: karaf
>            Reporter: Guillaume Nodet
>            Assignee: Guillaume Nodet
>             Fix For: 2.14.0
>
>
> There are some feature tests are failed.
> {code}
> Failed tests:
>   CamelDisruptorTest.test:30->AbstractFeatureTest.testComponent:69 Cannot get component
with name: disruptor
>   CamelHbaseTest.test:32->AbstractFeatureTest.testComponent:69 Cannot get component
with name: hbase
>   CamelInfinispanTest.test:31->AbstractFeatureTest.testComponent:69 Cannot get component
with name: infinispan
>   CamelKafkaTest.test:32->AbstractFeatureTest.testComponent:69 Cannot get component
with name: kafka
>   CamelOptaplannerTest.test:32->AbstractFeatureTest.testComponent:69 Cannot get component
with name: optaplanner
>   CamelSolrTest.test:32->AbstractFeatureTest.testComponent:69 Cannot get component
with name: solr
>   CamelSpringRedisTest.test:32->AbstractFeatureTest.testComponent:69 Cannot get component
with name: spring-redis
> Tests in error:
>   CamelAvroTest.test:38->AbstractFeatureTest.testDataFormat:91 ? IllegalArgument
> {code}



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message